# `ngBindHtml` (directive in module `ngSanitize` )

Improve this doc

## Description

Creates a binding that will sanitize the result of evaluating the `expression` with the $sanitize service and innerHTML the result into the current element.

See $sanitize docs for examples.

## Usage

as attribute

    <ANY ng-bind-html="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-bind-html: {expression};">
       ...
    </ANY>

### Parameters

- `ngBindHtml – {expression} –`

  Expression to evaluate.